Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log

From: Dmitry Gutov <[email-masked]>
Date: Fri, 10 Sep 2021 02:18:12 +0300

On 09.09.2021 20:39, Juri Linkov wrote:

>> Juri, what do you say?
> 
> I think in the long-term it would be nice to have these keybindings:
> 
> C-x v B   - vc-switch-backend
> C-x v b c - vc-create-tag (maybe it should have an alias 'vc-create-branch'?)
> C-x v b l - vc-print-branch-log
> C-x v b s - vc-retrieve-tag (maybe it should have an alias 'vc-switch-branch'?)
> C-x v s   - vc-log-search
> C-x v r   - free, any ideas what to bind to it?

vc-rename-file, perhaps?

> Since `C-x v b' will show "C-x v b-" in the echo area,
> and `C-x v s' will show "Search log with pattern: " in the minibuffer.
> and `C-x v r' will show "C-x v r is undefined",
> I see no problem in adding all keybindings before the next release.

It's a bit too optimistic even for me. But no objections, really.

I'd like to leave it up to Lars to choose the exact line between being 
conservative and bringing better bindings to the users sooner.